#ifndef _PROP_MOUNT_H_
#define _PROP_MOUNT_H_

	int	prop_mount(int *, char **[]);
	void	prop_unmount(void);
const	char *	fsu_mount_usage(void);

#define FSU_MOUNT(a,b)							      \
	do {								      \
		if (prop_mount(&(a), &(b)) != 0) {			      \
			usage();					      \
			exit(EXIT_FAILURE);				      \
		} else							      \
			atexit(prop_unmount);				      \
	} while (0/*CONSTCOND*/)

#endif /* !_PROP_MOUNT_H_ */
